**********
logging
**********

A basic message logging system.
 
.. container:: custom-index

    .. raw:: html

        <script type="text/javascript" src='../_static/pymunk.js'></script>

.. automodule:: PISM.logging
   :members:
   :private-members:
   :show-inheritance:
   :exclude-members: getkey
